Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record.aggregates
Class ConditionalFormattingTable

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.aggregates.RecordAggregate
              org.apache.poi.hssf.record.aggregates.ConditionalFormattingTable

    public final class ConditionalFormattingTable

extends RecordAggregate

Holds all the conditional formatting for a workbook sheet.

See OOO exelfileformat.pdf sec 4.12 'Conditional Formatting Table'

Author:
  Josh Micich

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.poi.hssf.record.aggregates.RecordAggregate
`RecordAggregate.PositionTrackingVisitor, RecordAggregate.RecordVisitor`

Constructor Summary
`ConditionalFormattingTable()` Creates an empty ConditionalFormattingTable
`ConditionalFormattingTable(RecordStream rs)`

Method Summary
`int` | `add(CFRecordsAggregate cfAggregate)`
`CFRecordsAggregate` | `get(int index)`
`void` | `remove(int index)`
`int` | `size()`
`void` | `updateFormulasAfterCellShift(FormulaShifter shifter, int externSheetIndex)`
`void` | `visitContainedRecords(RecordAggregate.RecordVisitor rv)` Visit each of the atomic BIFF records contained in this `RecordAggregate` in the order that they should be written to file.

Methods inherited from class org.apache.poi.hssf.record.aggregates.RecordAggregate
`getRecordSize, serialize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConditionalFormattingTable

    public ConditionalFormattingTable()

  Creates an empty ConditionalFormattingTable

### ConditionalFormattingTable

    public ConditionalFormattingTable(RecordStream rs)

Method Detail

### visitContainedRecords

    public void visitContainedRecords(RecordAggregate.RecordVisitor rv)

  Description copied from class: `RecordAggregate`
  Visit each of the atomic BIFF records contained in this `RecordAggregate` in the order that they should be written to file. Implementors may or may not return the actual `Record`s being used to manage POI's internal implementation. Callers should not assume either way, and therefore only attempt to modify those `Record`s after cloning

  Specified by:
    `visitContainedRecords` in class `RecordAggregate`

### add

    public int add(CFRecordsAggregate cfAggregate)

  Returns:
    index of the newly added CF header aggregate

### size

    public int size()

### get

    public CFRecordsAggregate get(int index)

### remove

    public void remove(int index)

### updateFormulasAfterCellShift

    public void updateFormulasAfterCellShift(FormulaShifter shifter,
                                             int externSheetIndex)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.